Subject: Re: Queston about Walnut

From: Matt Porter <[email-masked]>
Date: Sat, 4 Oct 2003 09:07:38 -0700

On Sat, Oct 04, 2003 at 12:34:37AM +0800, Jacky Lam wrote:
> > On Fri, Oct 03, 2003 at 05:40:46PM +0800, Jacky Lam wrote:
> > >
> > > > the kernel you use - vanilla+ppc-patch - is based on linuxppc-2.4,
> which
> > > > is not appropriate for your system. [At least it was like that some
> time
> > > > ago. Tom, could you please comment.] Try using the linuxppc_2_4_devel
> > > > tree from Bitkeeper or from our FTP server (see http://www.denx.de).
> > >
> > >     I just tried. The result is the same. Using the original
> walnut_config,
> > > it hangs in mapin_ram().
> > >     If I use minimal config, it hangs in __sti().
> > >
> > >     Does anyone still working on Walnut platform and successfully boot
> up
> > > 2.4 kernel on that? If no, could someone remember what is the last known
> > > working toolchain and kernel on Walnut?
> >
> > I noticed this about a week ago.  It is some kind of merge problem
> > between linux-2.4 and linuxppc-2.4.  linux-2.4 boot fine on walnut
> > for me.  I didn't have time to investigate but might take a look at
> > it again soon.
>
>     Really? That's so great! Do you have any idea about this? Maybe I can
> try to investigate as well. Also, do you remember what is the version just
> before this merge problem occurs? Thanks.

Well, maybe I should have cleaned my tree from a 440 build, I had
an old CONFIG_440 hanging around causing the kernel to not be
happy.  At any rate, I verified that current linuxppc-2.4 boots
on walnut from stock openbios.

-Matt

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/